# slabpkg

SecureLang™ Application Binary Package Manager

## Features

* Very small codebase
* build/install/remove software packages
* keeps a simple database of installed packages/files
* compress/decompress individual files
* custom formats (no zip/tar)
* built-in integrity checking
* simple & portable codebase

## Limitations

* Doesn't handle advanced features or system integration yet, only "lowest common denominator" feature set
* No timestamps, minimal handling of permissions
* Early version, so small changes to the format are to be expected

## TODO

- [ ] versioning & dependencies
- [ ] OS integration
- [ ] useful/demo packages